Subject: bug#48357: global/dynamic var ‘defaults’ lacks a prefix

From: Robert Weiner <[email-masked]>
Date: Tue, 11 May 2021 20:15:25 -0400

I agree with the sentiment, so it will be added to our Hyperbole todo list.

Cheers,

Bob

On Tue, May 11, 2021 at 1:28 PM Jean Louis <[email-masked]> wrote:

> I do think this could be, or should be fixed. The word "defaults" is
> too common, it could easily, if it is really global variable,
> interfere with users' programs.
>
> In actypes::link-to-ibut:
> hactypes.el:497:26: Warning: global/dynamic var ‘defaults’ lacks a prefix
> hactypes.el:497:52: Warning: global/dynamic var ‘defaults’ lacks a prefix
>
>
> I use:  Editor:      GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X
> toolkit, cairo version 1.17.4, Xaw3d scroll bars)
>
>         Hyperbole:   8.0.0pre
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
> --
> Thanks,
> Jean Louis
>
> Take action in Free Software Foundation campaigns:
> https://www.fsf.org/campaigns
>
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>